## NAME

r.surf.idw2 - Surface generation program.

## KEYWORDS

raster

## SYNOPSIS

r.surf.idw2
r.surf.idw2 help
r.surf.idw2 input=name output=name [npoints=count] [--overwrite]

### Flags:

--overwrite
  Force overwrite of output files

### Parameters:

input=name
  Name of input raster map
output=name
  Name for output raster map
npoints=count
  Number of interpolation points
  Default: 12

## DESCRIPTION

r.surf.idw2 fills a raster matrix with interpolated values generated from a set of irregularly spaced data points using numerical approximation (weighted averaging) techniques. The interpolated value of a cell is determined by values of nearby data points and the distance of the cell from those input points. In comparison with other methods, numerical approximation allows representation of more complex surfaces (particularly those with anomalous features), restricts the spatial influence of any errors, and generates the interpolated surface from the data points. It is the most appropriate method to apply to most spatial data. The npoints parameter defines the number of points to use for interpolation. The default is to use the 12 nearest points when interpolating the value for a particular cell.

## NOTES

The amount of memory used by this program is related to the number of non-zero data values in the input map layer. If the input raster map layer is very dense (i.e., contains many non-zero data points), the program may not be able to get all the memory it needs from the system. The time required to execute increases with the number of input data points.

If the user has a mask set, then interpolation is only done for those cells that fall within the mask. However, all non-zero data points in the input layer are used even if they fall outside the mask.

This program does not work with latitude/longitude data bases. Another surface generation program, named r.surf.idw, should be used with latitude/longitude data bases.

The user should refer to the manual entries for
r.surf.idw
r.surf.contour
v.surf.rst
to compare this surface generation program with others available in GRASS.

## SEE ALSO

r.surf.contour, r.surf.idw, r.surf.gauss, r.surf.fractal, r.surf.random, r.surf.idw2, v.surf.rst

## AUTHOR

Michael Shapiro, U.S.Army Construction Engineering Research Laboratory

Last changed: $Date: 2006/04/13 19:01:38 $

Main index - raster index - Full index